Bug 1265210 - [abrt] dnf: needs_restarting.py:101:print_cmd:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 108: ordinal not in range(128)
[abrt] dnf: needs_restarting.py:101:print_cmd:UnicodeDecodeError: 'ascii' cod...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:93cd3efab708f1e62aee499cea0...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 07:45 EDT by Peter Ludikovsky
Modified: 2015-11-30 18:24 EST (History)
7 users (show)

See Also:
Fixed In Version: dnf-1.1.4-1.fc23 dnf-1.1.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 18:24:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.37 KB, text/plain)
2015-09-22 07:45 EDT, Peter Ludikovsky
no flags Details
File: dso_list (75 bytes, text/plain)
2015-09-22 07:45 EDT, Peter Ludikovsky
no flags Details
File: environ (3.16 KB, text/plain)
2015-09-22 07:45 EDT, Peter Ludikovsky
no flags Details

  None (edit)
Description Peter Ludikovsky 2015-09-22 07:45:32 EDT
Description of problem:
Update system
Run dnf needs-restarting

Version-Release number of selected component:
dnf-1.1.1-2.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python -OO /usr/bin/dnf needs-restarting
executable:     /usr/bin/dnf
kernel:         4.1.6-201.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
needs_restarting.py:101:print_cmd:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 108: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 198, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 136, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1085, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/needs_restarting.py", line 207, in run
    print_cmd(pid)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/needs_restarting.py", line 101, in print_cmd
    command = ' '.join(command.split('\000'))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 108: ordinal not in range(128)

Local variables in innermost frame:
cmdline: u'/proc/1564/cmdline'
pid: 1564
command: '/usr/lib64/xfce4/panel/wrapper-1.0\x00/usr/lib64/xfce4/panel/plugins/libactions.so\x002\x0018874400\x00actions\x00Aktionskn\xc3\xb6pfe\x00Abmelden, sperren oder andere Systemaktionen\x00\x00'
cmdline_file: <closed file u'/proc/1564/cmdline', mode 'r' at 0x7fa16788cc90>
Comment 1 Peter Ludikovsky 2015-09-22 07:45:37 EDT
Created attachment 1075786 [details]
File: backtrace
Comment 2 Peter Ludikovsky 2015-09-22 07:45:38 EDT
Created attachment 1075787 [details]
File: dso_list
Comment 3 Peter Ludikovsky 2015-09-22 07:45:40 EDT
Created attachment 1075788 [details]
File: environ
Comment 4 Honza Silhan 2015-09-30 04:56:09 EDT
Thanks for the report.
Comment 5 Fedora Update System 2015-11-16 14:07:50 EST
dnf-plugins-core-0.1.14-1.fc23 dnf-1.1.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe6e8b885b
Comment 6 Fedora Update System 2015-11-18 11:26:47 EST
dnf-1.1.4-1.fc22 dnf-plugins-core-0.1.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6137119aff
Comment 7 Fedora Update System 2015-11-18 11:52:37 EST
dnf-1.1.4-1.fc23, dnf-plugins-core-0.1.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf dnf-plugins-core'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe6e8b885b
Comment 8 Fedora Update System 2015-11-19 04:52:38 EST
dnf-1.1.4-1.fc23, dnf-plugins-core-0.1.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-11-19 09:51:42 EST
dnf-1.1.4-1.fc22, dnf-plugins-core-0.1.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugins-core dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6137119aff
Comment 10 Fedora Update System 2015-11-30 18:23:46 EST
dnf-1.1.4-1.fc22, dnf-plugins-core-0.1.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.